Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057022 - s-ramp.sh requires JAVA_HOME to be set
Summary: s-ramp.sh requires JAVA_HOME to be set
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: DR2
: FUTURE
Assignee: Thomas Heute
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 11:00 UTC by Jiri Pechanec
Modified: 2018-03-29 21:55 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
The s-ramp.sh file will not run unless JAVA_HOME is set. To do this, run the command cat ~/.bash_profile and locate the JAVA_HOME property. Remove the # to enable it. s-ramp.sh will now run as expected.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SRAMP-486 Major Closed s-ramp.sh should not require JAVA_HOME to be set 2014-08-18 16:45:50 UTC

Description Jiri Pechanec 2014-01-23 11:00:30 UTC
s-ramp.sh is the only FSW script that requires JAVA_HOME to be set. As RHEL installation be default does not set such a env variable the requirement should be relaxed.

Comment 2 Brett Meyer 2014-06-30 15:04:06 UTC
What do the other scripts attempt?  Is it safe to assume "java" is in the usr bin or aliased?

Comment 3 Jiri Pechanec 2014-07-01 06:49:40 UTC
Both standalone.sh and jboss-cli.sh contains

108 # Setup the JVM
109 if [ "x$JAVA" = "x" ]; then
110     if [ "x$JAVA_HOME" != "x" ]; then
111         JAVA="$JAVA_HOME/bin/java"
112     else
113         JAVA="java"
114     fi
115 fi

So if JAVA_HOME is not set, they try to use java that could be on PATH

Please bear in mind that the same applies also to *.bat versions of the scripts

Comment 4 JBoss JIRA Server 2014-07-02 02:55:23 UTC
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-486 to Coding In Progress

Comment 5 Brett Meyer 2014-07-02 02:57:25 UTC
Perfect, thanks much.

Comment 6 JBoss JIRA Server 2014-07-02 16:08:27 UTC
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-486 to Resolved

Comment 7 Brett Meyer 2014-07-02 16:12:28 UTC
Corrected upstream

Comment 8 JBoss JIRA Server 2014-07-29 16:27:46 UTC
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-486 to Reopened

Comment 9 JBoss JIRA Server 2014-07-29 16:30:49 UTC
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-486 to Closed


Note You need to log in before you can comment on or make changes to this bug.